Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.jaxp
Class ValidatorImpl.ErrorListenerWrappingErrorHandler

    java.lang.Object
      com.saxonica.jaxp.ValidatorImpl.ErrorListenerWrappingErrorHandler

All Implemented Interfaces:
  ErrorListener

Enclosing class:
  ValidatorImpl

    public static class ValidatorImpl.ErrorListenerWrappingErrorHandler

extends Object
implements ErrorListener

A JAXP ErrorListener that wraps a SAX ErrorHandler

Constructor Summary
`ValidatorImpl.ErrorListenerWrappingErrorHandler(ErrorHandler handler)`

Method Summary
`void` | `error(TransformerException exception)` Receive notification of a recoverable error.
`void` | `fatalError(TransformerException exception)` Receive notification of a non-recoverable error.
`ErrorHandler` | `getErrorHandler()`
`void` | `warning(TransformerException exception)` Receive notification of a warning.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidatorImpl.ErrorListenerWrappingErrorHandler

    public ValidatorImpl.ErrorListenerWrappingErrorHandler(ErrorHandler handler)

Method Detail

### warning

    public void warning(TransformerException exception)
                 throws TransformerException

  Receive notification of a warning.

  Specified by:
    `warning` in interface `ErrorListener`
  Throws:
    `TransformerException`

### error

    public void error(TransformerException exception)
               throws TransformerException

  Receive notification of a recoverable error.

  Specified by:
    `error` in interface `ErrorListener`
  Throws:
    `TransformerException`

### fatalError

    public void fatalError(TransformerException exception)
                    throws TransformerException

  Receive notification of a non-recoverable error.

  Specified by:
    `fatalError` in interface `ErrorListener`
  Throws:
    `TransformerException`

### getErrorHandler

    public ErrorHandler getErrorHandler()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.